summaryrefslogtreecommitdiff
path: root/tests/tail-2
diff options
context:
space:
mode:
authorJim Meyering <meyering@redhat.com>2009-07-30 10:27:51 +0200
committerJim Meyering <meyering@redhat.com>2009-07-30 10:27:51 +0200
commit2ac2cace153dd19aaff5d3e0e6ce68d03146ca92 (patch)
treec4f35e7c39ad309fca74c20894eee46707167dcd /tests/tail-2
parentd3feea0181720d6e872875c52200511a5e5878a0 (diff)
downloadcoreutils-2ac2cace153dd19aaff5d3e0e6ce68d03146ca92.tar.xz
tests: test for just-fixed tail --pid bug
* tests/tail-2/pid: Ensure tail exits successfully when PID dies.
Diffstat (limited to 'tests/tail-2')
-rwxr-xr-xtests/tail-2/pid5
1 files changed, 5 insertions, 0 deletions
diff --git a/tests/tail-2/pid b/tests/tail-2/pid
index 9d33e4f2f..446c6dbe3 100755
--- a/tests/tail-2/pid
+++ b/tests/tail-2/pid
@@ -65,4 +65,9 @@ if test -n "$state"; then
kill $pid
fi
+# Ensure that tail --pid=PID exits successfully when PID is dead.
+# Use an unlikely-to-be-live PID: 2^31-1
+getlimits_
+tail --pid=$INT_MAX -f /dev/null || fail=1
+
Exit $fail